%define _optlevel 3

Name: libarchive
Version: 2.5.5
Release: alt0.M41.1
Summary: A library for handling streaming archive formats

Group: System/Libraries
License: BSD
Url: http://people.freebsd.org/~kientzle/libarchive/

Source0: http://people.freebsd.org/~kientzle/libarchive/src/libarchive-%version.tar.gz
Source1: libarchive.map
Patch1: libarchive-2.5.5-alt-versioning.patch

BuildRequires: bzlib-devel gcc-c++ glibc-devel libacl-devel libattr-devel libe2fs-devel sharutils zlib-devel

%description
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants, several cpio
formats, and both BSD and GNU ar variants. It can also write shar archives and
read ISO9660 CDROM images and ZIP archives.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.


%prep
%setup -q
install -m 0644 %SOURCE1 libarchive.map
%patch1 -p1
autoreconf -fisv


%build
%configure \
    --disable-static \
    --disable-bsdtar
%make_build


%install
%make DESTDIR=%buildroot  install


%post
%post_ldconfig
%postun
%postun_ldconfig


%files
%doc README NEWS
%_libdir/*.so.*

%files devel
%doc
%_includedir/*
%_mandir/*/*
%_libdir/*.so

%changelog
* Mon Sep 15 2008 Sergey V Turchin <zerg at altlinux dot org> 2.5.5-alt0.M41.1
- built for M41

* Mon Sep 15 2008 Sergey V Turchin <zerg at altlinux dot org> 2.5.5-alt1
- new version
- add versioning

* Mon Mar 24 2008 Sergey V Turchin <zerg at altlinux dot org> 2.4.14-alt1
- initial specfile
